[templates.merlot] push by esar...@gmail.com - Updated package to work with Merlot 0.2. on 2012-03-19 02:31 GMT

1 view
Skip to first unread message

mer...@googlecode.com

unread,
Mar 18, 2012, 10:32:07 PM3/18/12
to merlot-...@googlegroups.com
Revision: 5043701f163c
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 19:31:10 2012
Log: Updated package to work with Merlot 0.2.
http://code.google.com/p/merlot/source/detail?r=5043701f163c&repo=templates

Added:
/merlot/templates/merlot_buildout/etc/merlot_server.in
Modified:
/docs/HISTORY.txt
/merlot/templates/merlot_buildout.py
/merlot/templates/merlot_buildout/buildout.cfg_tmpl
/merlot/templates/merlot_buildout/etc/debug.ini.in
/merlot/templates/merlot_buildout/etc/deploy.ini.in
/merlot/templates/merlot_buildout/etc/zope.conf.in

=======================================
--- /dev/null
+++ /merlot/templates/merlot_buildout/etc/merlot_server.in Sun Mar 18
19:31:10 2012
@@ -0,0 +1,24 @@
+#!/bin/bash
+export zope_i18n_compile_mo_files=True
+case "$1" in
+ fg)
+ paster serve ${paster_debug_ini:output}
+ ;;
+ start)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log
+ ;;
+ stop)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log stop
+ ;;
+ restart)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log restart
+ ;;
+ status)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log status
+ ;;
+ *)
+ echo "Usage: merlot [fg|start|stop|restart|status]" >&2
+ exit 1
+ ;;
+esac
+exit 0
=======================================
--- /docs/HISTORY.txt Sat Apr 2 09:29:20 2011
+++ /docs/HISTORY.txt Sun Mar 18 19:31:10 2012
@@ -2,12 +2,13 @@
=========


-0.2 (unreleased)
+0.2 - 2012-03-18
----------------

* Removed buildout parts and extensions that are specific to development
from
the Merlot buildout template. [emanuel]
* Explanatory comments added to the Merlot buildout template. [emanuel]
+ * Updated package to work with Merlot 0.2. [emanuel]

0.1.1 - 2011-03-26
------------------
=======================================
--- /merlot/templates/merlot_buildout.py Thu Mar 24 09:25:55 2011
+++ /merlot/templates/merlot_buildout.py Sun Mar 18 19:31:10 2012
@@ -14,5 +14,5 @@
use_cheetah = True

vars = [
- var('merlot_version', 'Merlot version', default='0.1',),
+ var('merlot_version', 'Merlot version', default='0.2',),
]
=======================================
--- /merlot/templates/merlot_buildout/buildout.cfg_tmpl Sat Apr 2 09:29:20
2011
+++ /merlot/templates/merlot_buildout/buildout.cfg_tmpl Sun Mar 18 19:31:10
2012
@@ -10,11 +10,12 @@
parts =
app
merlot_server
- debug_ini
- deploy_ini
+ paster_debug_ini
+ paster_deploy_ini
mkdirs
site_zcml
- zope_conf
+ zope_conf_deploy
+ zope_conf_debug
zpasswd
versions = versions
develop =
=======================================
--- /merlot/templates/merlot_buildout/etc/debug.ini.in Thu Mar 24 09:25:55
2011
+++ /merlot/templates/merlot_buildout/etc/debug.ini.in Sun Mar 18 19:31:10
2012
@@ -1,5 +1,5 @@
[DEFAULT]
-zope_conf = %(here)s/zope.conf
+zope_conf = %(here)s/zope.debug.conf

[server:main]
use = egg:Paste#http
@@ -7,7 +7,7 @@
port = ${:port}

[pipeline:main]
-pipeline = accesslogging evalexception grok
+pipeline = accesslogging evalexception fanstatic grok

[filter:accesslogging]
use = egg:Paste#translogger
@@ -15,6 +15,11 @@
[filter:evalexception]
use = egg:z3c.evalexception#ajax

+[filter:fanstatic]
+use = egg:fanstatic#fanstatic
+versioning = true
+recompute_hashes = true
+
[app:grok]
use = egg:grokcore.startup#debug
exempt-exceptions = zope.security.interfaces.IUnauthorized
=======================================
--- /merlot/templates/merlot_buildout/etc/deploy.ini.in Thu Mar 24 09:25:55
2011
+++ /merlot/templates/merlot_buildout/etc/deploy.ini.in Sun Mar 18 19:31:10
2012
@@ -1,5 +1,5 @@
[DEFAULT]
-zope_conf = %(here)s/zope.conf
+zope_conf = %(here)s/zope.deploy.conf

[server:main]
use = egg:Paste#http
@@ -7,14 +7,26 @@
port = ${:port}

[pipeline:main]
-pipeline = gzip grok
-
-[app:grok]
-use = egg:grokcore.startup
+pipeline = accesslogging gzip fanstatic grok
+
+[filter:accesslogging]
+use = egg:Paste#translogger
+setup_console_handler = False

[filter:gzip]
use = egg:Paste#gzip

+[filter:fanstatic]
+use = egg:fanstatic#fanstatic
+bottom = true
+versioning = true
+minified = true
+rollup = true
+recompute_hashes = false
+
+[app:grok]
+use = egg:grokcore.startup
+
# Logging configuration

[loggers]
=======================================
--- /merlot/templates/merlot_buildout/etc/zope.conf.in Thu Mar 24 09:25:55
2011
+++ /merlot/templates/merlot_buildout/etc/zope.conf.in Sun Mar 18 19:31:10
2012
@@ -31,9 +31,7 @@
# logfiles are setup in the debug.ini and deploy.ini files.
</eventlog>

-# Comment this line to disable developer mode. This should be done in
-# production
-devmode on
+devmode ${devmode}

# Extra configuration lines can be added to zope_conf's extra option. Put
for
# instance productconf sections in here.

Reply all
Reply to author
Forward
0 new messages